Opened 2 years ago

Closed 14 months ago

#10375 closed defect (fixed)

Forum doesn't support HTTPS

Reported by: WilliamFeely Owned by: Mataniko
Priority: normal Component: Web
Keywords: Cc:
Game:

Description

The forums.scummvm.org server is still running on plaintext http.
As such, Google Chrome is displaying "Not secure" when it detects the login boxes.

Change History (8)

comment:1 by Mataniko, 2 years ago

This also applies to the wiki and buildbot pages

comment:2 by bonki, 22 months ago

Do we have a good reason not to have Let's Encrypt certs for all our subdomains?

comment:3 by digitall, 14 months ago

Wesbite, Doxygen, Planet and Buildbot have now been migrated to HTTPS.

The wiki and forums still need migration.

@Mataniko: Any plans for when / how we complete these?

comment:4 by digitall, 14 months ago

Owner: set to Mataniko

comment:5 by Mataniko, 14 months ago

They both need downtime and a physical database migration.
The forums need some skin work so we can upgrade to phpbb3.

Migrating both wiki and forums are high on my todo list and will be done once i'm back from vacation in about two weeks time.

comment:6 by digitall, 14 months ago

@Mataniko: Thanks for the update. Enjoy your vacation!

comment:7 by Mataniko, 14 months ago

Hoping to get this done soon, upgrade and migration are fully tested.

comment:8 by Mataniko, 14 months ago

Resolution: fixed
Status: newclosed

Forums now support HTTPS.

Note: See TracTickets for help on using tickets.